import { defineStore } from 'pinia'
import { ref } from 'vue'

interface Yao {
    time: number,   // 时间轴
    symbol1?: string,    // 主爻结果
    symbol2?: string, // 动爻内容
    symbolNum: string // 主卦结果数字
    result?: string, // 算卦结果
    q: string,      // 所问之事
}

export const useUserStore = defineStore('user', () => {
    const yaoList = ref<Yao[]>([])

    return {
        yaoList
    }
}, {
    persist: true
})